Bug 2414 - [UPDATE REQUEST] vlc 2.0.6 -> 2.0.8
: [UPDATE REQUEST] vlc 2.0.6 -> 2.0.8
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 16:35 MSD by Andrey Bondrov
Modified: 2013-08-05 20:45 MSD (History)
2 users (show)

See Also:
RPM Package: vlc
ISO-related:
Bad POT generating:
Upstream:
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2013-07-30 16:35:26 MSD
New version of vlc is released.
Comment 1 Andrey Bondrov 2013-07-30 16:37:44 MSD
Advisory: 
"New version 2.0.8. What's new:
- Fix ISDB-S tunning on Linux.
- Fix crash in QTsound.
- Fix use-after-free in sgimb module.
- New Kannada translation.
- Fix crashes in libavcodec module.
- Fix invalid memcpy in MMS access module.
- Improve resitance against malformed MKV files."

Main:
https://abf.rosalinux.ru/build_lists/1198123
https://abf.rosalinux.ru/build_lists/1198124

Restricted:
https://abf.rosalinux.ru/build_lists/1197955
https://abf.rosalinux.ru/build_lists/1197956
Comment 2 Postnikov Dmitry 2013-07-31 02:35:44 MSD
I tested in Gnome R1 BETA.
1. The entire interface is translated.
2. Filters work
3. Subtitles work
4. Visualization work
5. IPTV work
6. Full screen work
7. Rewind work
8. Video 1080p work
and etc.
No problems.

Maximum video http://s1.ipicture.ru/uploads/20130731/2xFRiHJg.png
IPTV http://s1.ipicture.ru/uploads/20130731/3Vwg2f2v.png
Translate:
http://s1.ipicture.ru/uploads/20130731/aiSwsrfj.png
http://s1.ipicture.ru/uploads/20130731/8nd9XS7F.png
Comment 3 Vladimir Potapov 2013-08-02 14:50:07 MSD
A small regression present: a new version crash (segfault) when switching the audio track of the DVD video (only for main version, not restricted, both i686 and x64) DVD "The Lord of the rings" (collector's edition)
Comment 4 Vladimir Potapov 2013-08-02 15:05:11 MSD
The bug https://bugs.kde.org/show_bug.cgi?id=292917 present in the update (it's no regression) For KDE 4.10 recommended vlc 2.1
Comment 5 Vladimir Potapov 2013-08-02 15:07:20 MSD
See path http://trac.videolan.org/vlc/ticket/4739#comment:33
Comment 6 Andrey Bondrov 2013-08-02 15:44:30 MSD
(In reply to comment #4)
> The bug https://bugs.kde.org/show_bug.cgi?id=292917 present in the update
> (it's no regression) For KDE 4.10 recommended vlc 2.1

I guess we can publish 2.0.8 now and then build 2.1 as soon as it's released.
Comment 7 Vladimir Potapov 2013-08-02 16:03:41 MSD
(In reply to comment #6)
> (In reply to comment #4)
> > The bug https://bugs.kde.org/show_bug.cgi?id=292917 present in the update
> > (it's no regression) For KDE 4.10 recommended vlc 2.1
> 
> I guess we can publish 2.0.8 now and then build 2.1 as soon as it's released.

Can we take a patch from the 2.1 version? Screensaver bug is very annoying.
Comment 8 Andrey Bondrov 2013-08-02 16:08:23 MSD
(In reply to comment #7)
> (In reply to comment #6)
> > (In reply to comment #4)
> > > The bug https://bugs.kde.org/show_bug.cgi?id=292917 present in the update
> > > (it's no regression) For KDE 4.10 recommended vlc 2.1
> > 
> > I guess we can publish 2.0.8 now and then build 2.1 as soon as it's released.
> 
> Can we take a patch from the 2.1 version? Screensaver bug is very annoying.

I guess we can try it later but not now (because vlc git is "locked" for upcoming ffmpeg update). Maybe on Monday or Tuesday.
Comment 9 Andrey Bondrov 2013-08-05 20:45:04 MSD
Published. It's clear this version is much better than 2.0.6 and 2.0.7.